type Geo {
  lat: Float!
  lng: Float!
}

type ClientTodo {
  id: ID!
  title: String!
  user: MaybeUser
}

type ClientAddress {
  id: ID!
  street: String!
  suite: String!
  city: String!
  zipcode: String!
  geo: Geo!
}

type LoadingClientUser {
  id: ID!
}

type ClientUser {
  id: ID!
  name: String
  username: String
  email: String
  address: ClientAddress
}

union MaybeUser = LoadingClientUser | ClientUser

type Query {
  todos: [Todos!]!
  todo(id: ID!): Todo!
  users: [ClientUser!]!
}
